%define name	bhposserverlibs
%define version	1.6.3
%define release	2mdk

%define	major	1
%define libname	%mklibname bhposserver %{major}

Summary:	BananaPOS bhpos client libraries.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://www.bananahead.com
Source0:	%{name}-%{version}.tar.bz2
Source100:	fix_files.sh.bz2
Source101:	fix_db_embed_changes.txt.bz2
BuildRequires:	bhposcommonlibs-devel >= 1.3.0
BuildRequires:	gtkmm = 1.2.10
BuildRequires:	gtkmm-devel = 1.2.10
BuildRequires:	intltool
BuildRequires:	libtool >= 1.5
BuildRequires:	libxml2 >= 2.5.8
BuildRequires:	libusb-devel >= 0.1.8
BuildRequires:	pkgconfig
BuildRequires:	gcc3.3
BuildRequires:	gcc3.3-c++
BuildRequires:	MySQL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
BananaPOS server libraries, are required by the server (mysql version).

%package -n	%{libname}
Summary:	BananaPOS bhpos common libraries.
Group:          System/Libraries
Requires:	bhposbase >= 1.2.3

%description -n	%{libname}
BananaPOS server libraries, are required by the server (mysql version).

%package -n	%{libname}-devel
Summary:	Development files for the %{libname} library
Group:		Development/C
Provides:	libbhposserverlibs-devel bhposserverlibs-devel
Requires:	bhposcommonlibs-devel >= 1.3.0
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Development files for the %{libname} library

%prep

%setup -q -n %{name}-%{version}

# dynamic "patch" system by Kort E Patterson
bzcat %{SOURCE100} > fix_files.sh
bzcat %{SOURCE101} > fix_db_embed_changes.txt
chmod 755 fix_files.sh
echo "A *.cpp ./fix_db_embed_changes.txt ." > files_to_fix
echo "A *.h ./fix_db_embed_changes.txt ." >> files_to_fix
./fix_files.sh ./files_to_fix

%build
export CCC=gcc-3.3.4
export CXX=g++-3.3.4

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_libdir}/bhpos/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)  
%{_libdir}/bhpos/*.a
%{_libdir}/bhpos/*.la
%{_libdir}/bhpos/*.so
%{_libdir}/pkgconfig/bhserverlib.pc
%{_includedir}/bhpos/*.h

%changelog
* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.3-2mdk
- rebuilt against MySQL-4.1.x system libs

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.3-1mdk
- initial mandrake package
